<template>
  <div
    class="sync-button"
    :style="
      `background-color: ${(online && '#5cb85c') ||
        '#d9534f'}; cursor: ${(online && 'pointer') || 'not-allowed'}`
    "
    @click="sync"
  >
    <div class="status-text">{{ (online && "Online") || "Offline" }}</div>
  </div>
</template>

<script>
export default {
  name: 'SyncButton',
  props: {
    msg: String
  },
  computed: {
    online () {
      return this.isOnline
    }
  },
  methods: {
    sync () {
      if (
        this.online &&
        confirm('Do you really want to synchronize the local database?')
      ) {
        this.$store.dispatch('sync')
      }
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
.sync-button {
  .button {
    margin: 0;
    padding: 10px;

    border-bottom-left-radius: 0.5em;
  }

  .status-text {
    color: white;

    padding: 6px 10px;
  }

  display: flex;
  position: fixed;

  top: 0;
  right: 0;

  width: 10em;

  border-bottom-left-radius: 0.5em;
  background: #5cb85c;
}

.sync-button::after {
  content: "⟲";

  color: white;

  position: absolute;

  top: 2px;
  right: 5px;
}
</style>
